index.hpp File Reference
`#include <cstddef>`
`#include <limits>`
`#include <sstream>`
`#include <stdexcept>`
`#include <string>`
`#include <osmium/util/compatibility.hpp>`
Include dependency graph for index.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmium::not_found

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::index
| Indexing of OSM data, Locations, etc.

## Functions

template<typename TKey >
OSMIUM_NORETURN void | osmium::index::not_found_error (TKey key)
template<typename T >
constexpr T | osmium::index::empty_value ()
template<>
constexpr size_t | osmium::index::empty_value< size_t > ()